//
//  ZCScrollMenu.h
//  ButtonList
//
//  Created by comsenz on 13-4-28.
//  Copyright (c) 2013年 ZhuChao. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol ZCScrollMenuDelegate;

@interface ZCScrollMenu : UIScrollView

@property(nonatomic,assign) CGFloat topMarign;//文字距离顶部的距离 默认15

@property(nonatomic,assign) CGFloat spaceBetweenItem;//文字间的距离

@property(nonatomic,retain) NSArray *items;

@property(nonatomic,assign) id<ZCScrollMenuDelegate> myDelegate;//回调,跟父类UIScrollView的Delegate区分开

- (void)setSelectedItem:(NSInteger)selectedItem;

@end



@protocol ZCScrollMenuDelegate <NSObject>

- (void)ZCScrollMenu:(ZCScrollMenu *)menu itemTouchedWithIndex:(NSInteger)index;

@end